---

- name: Create harvest services
  ansible.builtin.template:
    src: harvest.service.j2
    dest: /etc/systemd/system/harvest-{{ item.name }}.service
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable harvest service
  ansible.builtin.systemd:
    name: harvest-{{ item.name }}.service
    enabled: false
    masked: false
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create harvest timer
  ansible.builtin.template:
    src: harvest.timer.j2
    dest: /etc/systemd/system/harvest-{{ item.name }}.timer
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable harvest timer
  ansible.builtin.systemd:
    name: harvest-{{ item.name }}.timer
    state: "{{ item.started | default('stopped') }}"
    enabled: "{{ item.enabled | default('no') }}"
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create publish services
  ansible.builtin.template:
    src: publish.service.j2
    dest: /etc/systemd/system/publish-{{ item.name }}.service
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable publish service
  ansible.builtin.systemd:
    name: publish-{{ item.name }}.service
    enabled: false
    masked: false
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create publish timer
  ansible.builtin.template:
    src: publish.timer.j2
    dest: /etc/systemd/system/publish-{{ item.name }}.timer
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable publish timer
  ansible.builtin.systemd:
    name: publish-{{ item.name }}.timer
    state: "{{ item.started | default('stopped') }}"
    enabled: "{{ item.enabled | default('no') }}"
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create cleanup services
  ansible.builtin.template:
    src: cleanup.service.j2
    dest: /etc/systemd/system/cleanup-{{ item.name }}.service
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable cleanup service
  ansible.builtin.systemd:
    name: cleanup-{{ item.name }}.service
    enabled: false
    masked: false
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create cleanup timer
  ansible.builtin.template:
    src: cleanup.timer.j2
    dest: /etc/systemd/system/cleanup-{{ item.name }}.timer
    mode: "0644"
    owner: root
    group: root
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Enable cleanup timer
  ansible.builtin.systemd:
    name: cleanup-{{ item.name }}.timer
    state: "{{ item.started | default('stopped') }}"
    enabled: "{{ item.enabled | default('no') }}"
  loop: "{{ producers }}"
  loop_control:
    label: "{{ item.name }}"
  notify:
    - Reload systemd daemon

- name: Create archive service
  ansible.builtin.template:
    src: archive-uploads.service.j2
    dest: /etc/systemd/system/archive-uploads.service
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable archive service
  ansible.builtin.systemd:
    name: archive-uploads.service
    enabled: false
    masked: false
  notify:
    - Reload systemd daemon

- name: Create archive timer
  ansible.builtin.template:
    src: archive-uploads.timer.j2
    dest: /etc/systemd/system/archive-uploads.timer
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable archive uploads timer
  ansible.builtin.systemd:
    name: archive-uploads.timer
    state: started
    enabled: true
  notify:
    - Reload systemd daemon

- name: Create nba service
  ansible.builtin.template:
    src: nba-export.service.j2
    dest: /etc/systemd/system/nba-export.service
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable nba export service
  ansible.builtin.systemd:
    name: nba-export.service
    enabled: false
    masked: false
  notify:
    - Reload systemd daemon

- name: Create nba export timer
  ansible.builtin.template:
    src: nba-export.timer.j2
    dest: /etc/systemd/system/nba-export.timer
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable nba export timer
  ansible.builtin.systemd:
    name: nba-export.timer
    state: "{{ started_nba_export_timer | default('stopped') }}"
    enabled: "{{ enable_nba_export_timer | default('no') }}"
  notify:
    - Reload systemd daemon

- name: Create check images service
  ansible.builtin.template:
    src: check-images.service.j2
    dest: /etc/systemd/system/check-images.service
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable check images service
  ansible.builtin.systemd:
    name: check-images.service
    enabled: false
    masked: false
  notify:
    - Reload systemd daemon

- name: Create check masters service
  ansible.builtin.template:
    src: check-masters.service.j2
    dest: /etc/systemd/system/check-masters.service
    mode: "0644"
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Enable check masters service
  ansible.builtin.systemd:
    name: check-masters.service
    enabled: true
    masked: false
  notify:
    - Reload systemd daemon

- name: Flush handlers
  ansible.builtin.meta: flush_handlers
